import 'package:flutter/material.dart';
import 'dart:io';

import 'package:flutter_ads/ads_nativeview.dart';
import 'package:flutter_ads/ads_bannerview.dart';

class AdsPage extends StatefulWidget {
  @override
  _AdsPageState createState() => _AdsPageState();
}

class _AdsPageState extends State<AdsPage> {
  @override
  Widget build(BuildContext context) {
    AdsBannerView adsBannerView;
    if(Platform.isAndroid){
      adsBannerView = AdsBannerView();
    }else if(Platform.isIOS){
      adsBannerView = AdsBannerView(
        appid: '1105344611',
        placementID: '4090812164690039',
        adsFailure: () {
          print('加载失败');
        },
        asdIsFinish: () {
          print('加载结束');
        },
      );
    }
    return Scaffold(
      body: Container(
        child: Column(
          children: <Widget>[
            SizedBox(
              height: 250,
              child: AdsNativeView(),
            ),
            SizedBox(
              height: 100,
              child: adsBannerView,
            ),
          ],
        ),
      ),
    );
  }
}
